[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: e16 RC bugs



Hi Tim!

* Tim Retout <diocles@debian.org> [101009 15:22]:

> Normally I would not ask in advance like this, but I notice that #567770
> was actually caused by the NMU upload for #552046, so I recognise this
> could get pretty inflammatory if I were to cause more problems.

Yes, I'm really sorry for causing that mess :(  I didn't fixed that,
because someone (Laurence?) asked to let him handle that.

> I'm still going to prepare a fix.  If I don't do it, someone else
> certainly will.  Please let me know if you plan to make a maintainer
> upload in the next week, or have any further advice on the best way to
> resolve the problem.

Upon request of release manager Luk I started to prepare a fix, though.
I haven't upload it yet, as I haven't finished testing it completly,
yet.

My work so far is attached; I so far verified that it upgrades / removes
/ purges cleanly from 1.0.0-3.1 as well as 1.0.0-3.  I haven't tested
upgrades from 0.16.8.13-4 to 1.0.0-3.2.

Upon request of release manager Luk Claes I was about to fix this ASAP,
so Laurence, please say if I shouldn't continue.


Dear release managers, my fix so far introduced a Pre-Depends on  dpkg
(>= 1.15.7.2) (to use dpkg-maintscript-helper in preinst script).  Would
such a solution be accaptable, or should that be avoided and done by
hand?  (Well, by copy pasting the wiki pages...)


Best Regards,
  Alexander

PS: My understanding was, that you would prefer to add /etc/e16 to the
searchpath for config files of e16 itself; as you can see I haven't
implemented that, but tried to fix "my" symlinks.  I thought that would
be the prefered way to do that, as a) it is less intrusive than changing
upstream stuff and b) you can always add the searchpath thing yourself;
(re)moving the configfiles from /etc/e16 will in that case just lead to
modified files being left there.

diff -u e16-1.0.0/debian/control e16-1.0.0/debian/control
--- e16-1.0.0/debian/control
+++ e16-1.0.0/debian/control
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: libxft-dev, libesd0-dev, libimlib2-dev, gettext, libdbus-1-dev, libsm-dev, libx11-dev, libxext-dev, libxrandr-dev, libxinerama-dev, libxxf86vm-dev, libxt-dev, xbitmaps, libxcomposite-dev, libxdamage-dev, libxrender-dev, libpango1.0-dev, pkg-config, debhelper (>=7.0.1), automake, autoconf, libtool, gettext, quilt, cvs
+Build-Depends: libxft-dev, libesd0-dev, libimlib2-dev, gettext, libdbus-1-dev, libsm-dev, libx11-dev, libxext-dev, libxrandr-dev, libxinerama-dev, libxxf86vm-dev, libxt-dev, xbitmaps, libxcomposite-dev, libxdamage-dev, libxrender-dev, libpango1.0-dev, pkg-config, debhelper (>=7.0.1), automake, autoconf, libtool, gettext, quilt, autopoint
 Standards-Version: 3.8.2
 Homepage: http://www.enlightenment.org/
 
@@ -28,6 +28,7 @@
 Architecture: all
 Section: x11
 Conflicts: enlightenment-data (<< 1:0.16.8)
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}
 Description: e16 window manager support files
  These are the architecture independent images and scripts for the
diff -u e16-1.0.0/debian/rules e16-1.0.0/debian/rules
--- e16-1.0.0/debian/rules
+++ e16-1.0.0/debian/rules
@@ -27,9 +27,42 @@
 install: build debian/stamp-install
 debian/stamp-install:
 	dh install
-	mkdir -p debian/e16-data/etc
-	mv debian/e16-data/usr/share/e16/config debian/e16-data/etc/e16
-	dh_link -pe16-data /etc/e16 /usr/share/e16/config
+	# the following files are actually configuration files; moving them
+	# there
+	mv -f debian/e16-data/usr/share/e16/config/actionclasses.cfg debian/e16-data/etc/e16/actionclasses.cfg
+	mv -f debian/e16-data/usr/share/e16/config/bindings.cfg debian/e16-data/etc/e16/bindings.cfg
+	mv -f debian/e16-data/usr/share/e16/config/fonts.pango.cfg debian/e16-data/etc/e16/fonts.pango.cfg
+	mv -f debian/e16-data/usr/share/e16/config/fonts.xft.cfg debian/e16-data/etc/e16/fonts.xft.cfg
+	mv -f debian/e16-data/usr/share/e16/config/matches.cfg debian/e16-data/etc/e16/matches.cfg
+	mv -f debian/e16-data/usr/share/e16/config/menus.cfg debian/e16-data/etc/e16/menus.cfg
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops_size.menu debian/e16-data/etc/e16/menus/winops_size.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/maintenance.menu debian/e16-data/etc/e16/menus/maintenance.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/settings.menu debian/e16-data/etc/e16/menus/settings.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops_misc.menu debian/e16-data/etc/e16/menus/winops_misc.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops.menu debian/e16-data/etc/e16/menus/winops.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops_opacity.menu debian/e16-data/etc/e16/menus/winops_opacity.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/enlightenment.menu debian/e16-data/etc/e16/menus/enlightenment.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops_groups.menu debian/e16-data/etc/e16/menus/winops_groups.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/desktop.menu debian/e16-data/etc/e16/menus/desktop.menu
+	mv -f debian/e16-data/usr/share/e16/config/menus/winops_layer.menu debian/e16-data/etc/e16/menus/winops_layer.menu
+	# create compatibility symlinks; doing it here, as the dh call has
+	# already dealt with e16-data.links 
+	dh_link -pe16-data etc/e16/actionclasses.cfg usr/share/e16/config/actionclasses.cfg
+	dh_link -pe16-data etc/e16/bindings.cfg usr/share/e16/config/bindings.cfg
+	dh_link -pe16-data etc/e16/fonts.pango.cfg usr/share/e16/config/fonts.pango.cfg
+	dh_link -pe16-data etc/e16/fonts.xft.cfg usr/share/e16/config/fonts.xft.cfg
+	dh_link -pe16-data etc/e16/matches.cfg usr/share/e16/config/matches.cfg
+	dh_link -pe16-data etc/e16/menus.cfg usr/share/e16/config/menus.cfg
+	dh_link -pe16-data etc/e16/menus/winops_size.menu usr/share/e16/config/menus/winops_size.menu
+	dh_link -pe16-data etc/e16/menus/maintenance.menu usr/share/e16/config/menus/maintenance.menu
+	dh_link -pe16-data etc/e16/menus/settings.menu usr/share/e16/config/menus/settings.menu
+	dh_link -pe16-data etc/e16/menus/winops_misc.menu usr/share/e16/config/menus/winops_misc.menu
+	dh_link -pe16-data etc/e16/menus/winops.menu usr/share/e16/config/menus/winops.menu
+	dh_link -pe16-data etc/e16/menus/winops_opacity.menu usr/share/e16/config/menus/winops_opacity.menu
+	dh_link -pe16-data etc/e16/menus/enlightenment.menu usr/share/e16/config/menus/enlightenment.menu
+	dh_link -pe16-data etc/e16/menus/winops_groups.menu usr/share/e16/config/menus/winops_groups.menu
+	dh_link -pe16-data etc/e16/menus/desktop.menu usr/share/e16/config/menus/desktop.menu
+	dh_link -pe16-data etc/e16/menus/winops_layer.menu usr/share/e16/config/menus/winops_layer.menu
 	touch $@
 
 endif
diff -u e16-1.0.0/debian/changelog e16-1.0.0/debian/changelog
--- e16-1.0.0/debian/changelog
+++ e16-1.0.0/debian/changelog
@@ -1,3 +1,17 @@
+e16 (1.0.0-3.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix config file handling (Closes: #567770)
+    * Adding Pre-Depends on dpkg (>= 1.15.7.2) to use
+      dpkg-maintscript-helper
+    * Add e16-data.{preinst,postinst,postrm} to deal with the move of
+      config files from /usr/share/e16/config/ to /etc/e16
+    * In debian/rules move the configuration files to /etc/e16 and place
+      symlinks in /usr/share/e16/config/ instead
+  * Build-Depend on autopoint instead of cvs (Closes: #572465)
+
+ -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 07 Oct 2010 15:16:21 +0200
+
 e16 (1.0.0-3.1) unstable; urgency=medium
 
   * Non-maintainer upload.
only in patch2:
unchanged:
--- e16-1.0.0.orig/debian/e16-data.preinst
+++ e16-1.0.0/debian/e16-data.preinst
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/definitions 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/e16keyedit.db 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/apple.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_lock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/note.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tv2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/sound.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait6.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pager.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/spider.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/bg.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait7.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_any.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_0.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/snapshots.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/areas.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/about.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/easter.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait11.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/place.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait10.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/fx.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/clock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait8.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/raise.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_ctrl.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait12.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait9.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_blank.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/world.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/calc.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/desktops.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/moveres.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pumpkin.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mon.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tips.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_shift.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/elogo48.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/focus.png 1.0.0-3.1 e16-data -- "$@"
+
+case "$1" in
+install|upgrade)
+    if dpkg --compare-versions "$2" eq "1.0.0-3.1"; then
+        # in 1.0.0-3.1 this was a symlink to /etc/e16 ; it is now again a
+        # directory containing symlinks.  We need to remove the symlink to
+        # replace it with the directory
+        rm -f /usr/share/e16/config
+    fi
+esac
+
+
+#DEBHELPER#
only in patch2:
unchanged:
--- e16-1.0.0.orig/debian/e16-data.dirs
+++ e16-1.0.0/debian/e16-data.dirs
@@ -0,0 +1,2 @@
+etc/e16
+etc/e16/menus
only in patch2:
unchanged:
--- e16-1.0.0.orig/debian/e16-data.postrm
+++ e16-1.0.0/debian/e16-data.postrm
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/definitions 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/e16keyedit.db 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/apple.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_lock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/note.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tv2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/sound.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait6.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pager.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/spider.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/bg.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait7.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_any.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_0.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/snapshots.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/areas.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/about.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/easter.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait11.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/place.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait10.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/fx.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/clock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait8.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/raise.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_ctrl.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait12.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait9.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_blank.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/world.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/calc.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/desktops.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/moveres.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pumpkin.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mon.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tips.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_shift.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/elogo48.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/focus.png 1.0.0-3.1 e16-data -- "$@"
+
+
+#DEBHELPER#
only in patch2:
unchanged:
--- e16-1.0.0.orig/debian/e16-data.postinst
+++ e16-1.0.0/debian/e16-data.postinst
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/definitions 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/e16keyedit.db 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/apple.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_lock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/note.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tv2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/sound.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait6.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pager.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/spider.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/bg.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait7.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_any.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_0.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/snapshots.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/areas.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait5.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/about.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/easter.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait11.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_2.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/place.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait10.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/fx.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/clock.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait8.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait1.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/raise.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_ctrl.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait12.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait9.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mouse_4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_blank.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/world.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/calc.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/desktops.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_mod4.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/moveres.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/pumpkin.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/wait3.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/mon.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/tips.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/key_shift.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/elogo48.png 1.0.0-3.1 e16-data -- "$@"
+dpkg-maintscript-helper rm_conffile \
+               /etc/e16/pix/focus.png 1.0.0-3.1 e16-data -- "$@"
+
+case "$1" in
+configure)
+    if dpkg --compare-versions "$2" eq "1.0.0-3.1"; then
+        # this directory contained some conffiles in 1.0.0-3.1
+        # the files should be gone by now, but the directory remains;
+        # trying to remove it
+        rmdir --ignore-fail-on-non-empty /etc/e16/pix
+    fi
+esac
+
+
+#DEBHELPER#

Attachment: signature.asc
Description: Digital signature


Reply to: